package com.infoepoch.pms.dispatchassistant.domain.langchain.qwen;

public class Choice {
    public Choice() {
    }

    public Choice(Double index, Delta delta, String finish_reason) {
        this.index = index;
        this.delta = delta;
        this.finish_reason = finish_reason;
    }

    private Double index;

    private Delta delta;

    private String finish_reason;

    public Double getIndex() {
        return index;
    }
    public void setIndex(Double index) {
        this.index = index;
    }

    public Delta getDelta() {
        return delta;
    }
    public void setDelta(Delta delta) {
        this.delta = delta;
    }

    public String getFinish_reason() {
        return finish_reason;
    }
    public void setFinish_reason(String finish_reason) {
        this.finish_reason = finish_reason;
    }
}
